This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1018206 - Fix XARGMATCH for cp --no-preserve
Fix XARGMATCH for cp --no-preserve
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: coreutils (Show other bugs)
7.0
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
Miroslav Vadkerti
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 08:50 EDT by Miroslav Vadkerti
Modified: 2014-06-18 00:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: coreutils-8.21-13.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:26:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2013-10-11 08:50:06 EDT
Description of problem:
cp should distinguish preserve from no-preserve in error message

cp --no-preserve=* a b
cp: invalid argument ‘*’ for ‘--preserve’

Version-Release number of selected component (if applicable):
coreutils-8.21-12.el7

How reproducible:
100%

Steps to Reproduce:
1. cp --no-preserve=* a b

Actual results:
cp: invalid argument ‘*’ for ‘--preserve’

Expected results:
cp: invalid argument ‘*’ for ‘--no-preserve’
Comment 1 Ondrej Vasik 2013-10-11 09:30:44 EDT
Thanks, reported as http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15588 - will wait for the upstream approval before commit.
Comment 6 Ludek Smid 2014-06-13 08:26:50 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.